services:
  # bazarr:
  #   container_name: bazarr
  #   image: lscr.io/linuxserver/bazarr:latest
  #   environment:
  #     - PUID=${PUID}
  #     - PGID=${PGID}
  #     - TZ=${TZ}
  #   networks:
  #     - reverse-proxy
  #   ports:
  #     - 6767:6767
  #   restart: always
  #   volumes:
  #     - ${DOCKER_CONFIGS}/bazarr/config:/config
  #     - ${MEDIA_DIR}:/media

  flaresolverr:
    container_name: flaresolverr
    image: ghcr.io/flaresolverr/flaresolverr:latest
    environment:
      - LOG_LEVEL=info
      - LOG_HTML=false
      - CAPTCHA_SOLVER=none
      - TZ=${TZ}
    networks:
      - reverse-proxy
    ports:
      - 9191:8191
    restart: always

  jackett:
    container_name: jackett
    image: lscr.io/linuxserver/jackett:latest
    environment:
      - PGID=${PGID}
      - PUID=${PUID}
      - TZ=${TZ}
      - UMASK=${UMASK}
      - AUTO_UPDATE=true
    networks:
      - reverse-proxy
    ports:
      - 9117:9117
    restart: always
    volumes:
      - ${DOCKER_CONFIGS}/jackett/config:/config
      - ${MEDIA_DIR}/downloads/torrents:/torrents

  jellyfin:
    container_name: jellyfin
    image: lscr.io/linuxserver/jellyfin:latest
    environment:
      - PUID=${PUID}
      - PGID=${PGID}
      - TZ=${TZ}
      - JELLYFIN_PublishedServerUrl=192.168.1.30
    network_mode: "host"
    restart: always
    volumes:
      - ${DOCKER_CONFIGS}/jellyfin/config:/config
      - ${MEDIA_DIR}:/media

  lidarr:
    container_name: lidarr
    image: lscr.io/linuxserver/lidarr:latest
    environment:
      - PGID=${PGID}
      - PUID=${PUID}
      - TZ=${TZ}
    networks:
      - reverse-proxy
    ports:
      - 8686:8686
    restart: always
    volumes:
      - ${DOCKER_CONFIGS}/lidarr/config:/config
      - ${MEDIA_DIR}:/media
      - ${STORAGE_DIR}//Music/Albums:/music

  nzbhydra:
    container_name: nzbhydra
    image: lscr.io/linuxserver/nzbhydra2:latest
    environment:
      - PUID=${PUID}
      - PGID=${PGID}
      - TZ=${TZ}
    networks:
      - reverse-proxy
    ports:
      - 5076:5076
    restart: always
    volumes:
      - ${DOCKER_CONFIGS}/nzbhydra/config:/config
      - ${MEDIA_DIR}/downloads/nzbs:/nzbs
      - ${MEDIA_DIR}/downloads/torrents:/torrents

  prowlarr:
    container_name: prowlarr
    image: ghcr.io/linuxserver/prowlarr:develop
    environment:
      - PUID=${PUID}
      - PGID=${PGID}
      - TZ=${TZ}
    networks:
      - reverse-proxy
    ports:
      - 9696:9696
    restart: always
    volumes:
      - ${DOCKER_CONFIGS}/prowlarr/config:/config

  radarr:
    container_name: radarr
    image: lscr.io/linuxserver/radarr:latest
    environment:
      - PUID=${PUID}
      - PGID=${PGID}
      - TZ=${TZ}
    networks:
      - reverse-proxy
    ports:
      - 7878:7878
    restart: always
    volumes:
      - ${DOCKER_CONFIGS}/radarr/config:/config
      - ${MEDIA_DIR}:/media

  sonarr:
    container_name: sonarr
    image: lscr.io/linuxserver/sonarr:latest
    environment:
      - PUID=${PUID}
      - PGID=${PGID}
      - TZ=${TZ}
    networks:
      - reverse-proxy
    ports:
      - 8989:8989
    restart: always
    volumes:
      - ${DOCKER_CONFIGS}/sonarr/config:/config
      - ${MEDIA_DIR}:/media

  speedtest-tracker:
    container_name: speedtest-tracker
    image: lscr.io/linuxserver/speedtest-tracker:latest
    environment:
      - PUID=${PUID}
      - PGID=${PGID}
      - DB_CONNECTION=sqlite
      - SPEEDTEST_SCHEDULE=15 */6 * * *
      - SPEEDTEST_SERVERS=3898,64991,5295,12947
      - APP_KEY=${APP_KEY}
      - DISPLAY_TIMEZONE=${TZ}
      - APP_DEBUG=true
    networks:
      - reverse-proxy
    ports:
      - 8765:80
    restart: always
    volumes:
      - ${DOCKER_CONFIGS}/speedtesttracker/config:/config

networks:
  reverse-proxy:
    name: reverse-proxy
    external: true
